gsm0808_cell_id_list2 Struct Reference
GSM 08.08 / 3GPP TS 48.008 A Interface

Parsed representation of a Cell Identifier List IE (3GPP TS 48.008 3.2.2.27). More...

`#include <gsm0808_utils.h>`

## Data Fields

enum CELL_IDENT | id_discr
union gsm0808_cell_id_u | id_list [GSM0808_CELL_ID_LIST2_MAXLEN]
unsigned int | id_list_len

## Detailed Description

Parsed representation of a Cell Identifier List IE (3GPP TS 48.008 3.2.2.27).

## Field Documentation

## id_discr

enum CELL_IDENT gsm0808_cell_id_list2::id_discr

Referenced by gsm0808_cell_id_list_add(), gsm0808_cell_id_list_name_buf(), gsm0808_cell_id_matches_list(), gsm0808_cell_id_to_list(), gsm0808_cell_id_u_name(), gsm0808_create_paging(), gsm0808_dec_cell_id(), gsm0808_dec_cell_id_list2(), gsm0808_enc_cell_id(), gsm0808_enc_cell_id_list2(), and same_cell_id_list_entries().

## id_list

union gsm0808_cell_id_u gsm0808_cell_id_list2::id_list[GSM0808_CELL_ID_LIST2_MAXLEN]

Referenced by gsm0808_cell_id_list_add(), gsm0808_cell_id_list_name_buf(), gsm0808_cell_id_matches_list(), gsm0808_create_paging(), gsm0808_dec_cell_id(), gsm0808_enc_cell_id_list2(), parse_cell_id_ci_list(), parse_cell_id_global_list(), parse_cell_id_lac_and_ci_list(), parse_cell_id_lac_list(), parse_cell_id_lai_and_lac(), and same_cell_id_list_entries().

## id_list_len

unsigned int gsm0808_cell_id_list2::id_list_len

Referenced by gsm0808_cell_id_list_add(), gsm0808_cell_id_list_name_buf(), gsm0808_cell_id_matches_list(), gsm0808_cell_id_to_list(), gsm0808_create_paging(), gsm0808_dec_cell_id(), gsm0808_dec_cell_id_list2(), gsm0808_enc_cell_id_list2(), and same_cell_id_list_entries().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gsm0808_utils.h